Subject: Copying Git repository from Linux to Windows.

From: viresh kumar <[email-masked]>
Date: Wed, 15 Jun 2011 14:58:34 +0530

Hello,

I wanted to copy my complete Linux GIT repo from Linux PC to Windows. I also wanted everything
related to remote branches too, so need to copy and clone and fetch wouldn't work.

I don't have windows on same network, so i need to copy to memory stick and then to Windows PC.

After completing copy operation on mem stick, i found something strange.
- git branch shows correct results and is exactly same of state at Linux machine.
- git log is also fine.
- git status, shows me a lot of files are modified, which is not present in Linux.
- git reset --hard also doesn't work and fails with following error.

$ git reset --hard HEAD
error: unable to create symlink arch/microblaze/boot/dts/system.dts (Operation not permitted)
Checking out files: 100% (36696/36696), done.
fatal: Could not reset index file to revision 'HEAD'.

Any help about this issue would be very helpful.

-- 
viresh